Legacy (v0)
Get the current company
Returns the company the Bearer token belongs to. Company admins (admin users, company API tokens, and partner tokens with the companies view permission) get the full settings view, including tax class, shipping, and email provider. Reps get a shorter view with branding, app links, sign-up, and reward point labels.
GET
/
api
/
companies
Get the current company
curl --request GET \
--url https://api.fluid.app/api/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"active": true,
"sandbox": false,
"is_mlm": true,
"fluid_shop": "dunder-mifflin.fluid.app",
"domain": "shop.dundermifflin.com",
"color": "#1F4E8C",
"tax_class": "fluid",
"appstore_url": "https://apps.apple.com/us/app/dunder-mifflin/id6478120394",
"playstore_url": "https://play.google.com/store/apps/details?id=com.dundermifflin.app",
"pre_purchase_enrollment_fields": false,
"allow_signup": true,
"company_pays": false,
"olumo_token": null,
"apn_bundle": "com.dundermifflin.app",
"ibi_bundle": "com.dundermifflin.app",
"signup_url": "https://shop.dundermifflin.com/join",
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": false,
"reward_points_label_singular": "Schrute Buck",
"reward_points_label_plural": "Schrute Bucks",
"mobile_app_identifier": "DunderMifflin",
"support_email": "support@dundermifflin.com",
"country_code": "US",
"shipping": "Flat Country",
"shipping_type": "country",
"allow_free_shipping": true,
"email_provider": "fluid"
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
Get the current company
curl --request GET \
--url https://api.fluid.app/api/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"company": {
"id": 1405,
"name": "Dunder Mifflin Paper Company",
"active": true,
"sandbox": false,
"is_mlm": true,
"fluid_shop": "dunder-mifflin.fluid.app",
"domain": "shop.dundermifflin.com",
"color": "#1F4E8C",
"tax_class": "fluid",
"appstore_url": "https://apps.apple.com/us/app/dunder-mifflin/id6478120394",
"playstore_url": "https://play.google.com/store/apps/details?id=com.dundermifflin.app",
"pre_purchase_enrollment_fields": false,
"allow_signup": true,
"company_pays": false,
"olumo_token": null,
"apn_bundle": "com.dundermifflin.app",
"ibi_bundle": "com.dundermifflin.app",
"signup_url": "https://shop.dundermifflin.com/join",
"reward_points_enabled": true,
"reward_points_apply_to_subtotal": false,
"reward_points_label_singular": "Schrute Buck",
"reward_points_label_plural": "Schrute Bucks",
"mobile_app_identifier": "DunderMifflin",
"support_email": "support@dundermifflin.com",
"country_code": "US",
"shipping": "Flat Country",
"shipping_type": "country",
"allow_free_shipping": true,
"email_provider": "fluid"
},
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}